summaryrefslogtreecommitdiffstats
path: root/named.init
diff options
context:
space:
mode:
authorAdam Tkac <atkac@fedoraproject.org>2009-09-21 10:52:09 +0000
committerAdam Tkac <atkac@fedoraproject.org>2009-09-21 10:52:09 +0000
commitb67005f4192d71827086edccd32c4377f4952583 (patch)
treea7295b420840d328471b318729af8d322dad1b8b /named.init
parent56c6be15dfd7f24e3ebdf48de7001ec1001a5c95 (diff)
- determine file size via `stat` instead of `ls` (#523682)bind-9_6_1-6_P1_fc11
Diffstat (limited to 'named.init')
-rwxr-xr-xnamed.init3
1 files changed, 1 insertions, 2 deletions
diff --git a/named.init b/named.init
index 0d40dfb..12540a2 100755
--- a/named.init
+++ b/named.init
@@ -76,8 +76,7 @@ mount_chroot_conf()
# If mount source is a file
if ! [ -d "$all" ]; then
# mount it only if it is not present in chroot or it is empty
- if ! [ -e "$ROOTDIR$all" ] ||
- [ `ls -s "$ROOTDIR$all" | awk '{ print $1 };'` -eq 0 ]; then
+ if ! [ -e "$ROOTDIR$all" ] || [ `stat -c'%s' "$ROOTDIR$all"` -eq 0 ]; then
touch "$ROOTDIR$all"
mount --bind "$all" "$ROOTDIR$all"
fi